SetAttributeSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class SetAttributeSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.AbstractPluralAttributeSourceImpl
          org.hibernate.metamodel.source.hbm.SetAttributeSourceImpl

All Implemented Interfaces:
  AssociationAttributeSource, AttributeSource, Orderable, PluralAttributeSource, Sortable

    public class SetAttributeSourceImpl

extends AbstractPluralAttributeSourceImpl
implements Orderable, Sortable

Constructor Summary
`SetAttributeSourceImpl(JaxbSetElement setElement, AttributeSourceContainer container)`

Method Summary
`String` | `getComparatorName()`
`String` | `getOrder()`
`JaxbSetElement` | `getPluralAttributeElement()`
`PluralAttributeNature` | `getPluralAttributeNature()`
`boolean` | `isOrdered()`
`boolean` | `isSorted()`

Methods inherited from class org.hibernate.metamodel.source.hbm.AbstractPluralAttributeSourceImpl
`bindingContext, container, getCaching, getCascadeStyles, getCollectionTableCheck, getCollectionTableComment, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlDeleteAll, getCustomSqlInsert, getCustomSqlUpdate, getElementSource, getExplicitCatalogName, getExplicitCollectionTableName, getExplicitSchemaName, getFetchMode, getFetchStyle, getFetchTiming, getKeySource, getName, getPropertyAccessorName, getTypeInformation, getWhere, isIncludedInOptimisticLocking, isInverse, isSingular, metaAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetAttributeSourceImpl

    public SetAttributeSourceImpl(JaxbSetElement setElement,
                                  AttributeSourceContainer container)

Method Detail

### getPluralAttributeElement

    public JaxbSetElement getPluralAttributeElement()

  Overrides:
    `getPluralAttributeElement` in class `AbstractPluralAttributeSourceImpl`

### getPluralAttributeNature

    public PluralAttributeNature getPluralAttributeNature()

  Specified by:
    `getPluralAttributeNature` in interface `PluralAttributeSource`

### isSorted

    public boolean isSorted()

  Specified by:
    `isSorted` in interface `Sortable`

### getComparatorName

    public String getComparatorName()

  Specified by:
    `getComparatorName` in interface `Sortable`

### isOrdered

    public boolean isOrdered()

  Specified by:
    `isOrdered` in interface `Orderable`

### getOrder

    public String getOrder()

  Specified by:
    `getOrder` in interface `Orderable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.